共享链接
更新共享链接
POST
/api/share/id/{shareId}更新指定共享链接的名称、slug 和参数。
Headers
| Name | Type | Description |
|---|---|---|
| Authorizationrequired | string | Authentication credentials, e.g. Bearer <token>. |
Path parameters
| Name | Type | Description |
|---|---|---|
| shareIdrequired | string | Identifier used to access a shared resource. |
Request body
| Name | Type | Description |
|---|---|---|
| namerequired | string | Display name of the resource. |
| parametersrequired | object | Configuration parameters for the resource. |
| slugrequired | string | URL slug used to access the resource. |
Example request
Responses
200The operation completed successfully.
| Name | Type | Description |
|---|---|---|
| createdAtrequired | string | Date and time the record was created. |
| entityIdrequired | string | ID of the resource being shared. |
| idrequired | string | Unique identifier of the resource. |
| namerequired | string | Display name of the resource. |
| parametersrequired | anyOf | Configuration parameters for the resource. |
| shareTyperequired | number | Type of resource made available by the share. |
| slugrequired | string | URL slug used to access the resource. |
| updatedAtrequired | string | Date and time the record was last updated. |
200 example
400Bad request.
| Name | Type | Description |
|---|---|---|
| errorrequired | object | Error details returned when the operation fails. |
400 example
401Unauthorized.
| Name | Type | Description |
|---|---|---|
| errorrequired | object | Error details returned when the operation fails. |
401 example
404Not found.
| Name | Type | Description |
|---|---|---|
| errorrequired | object | Error details returned when the operation fails. |
404 example
Code samples
cURL